Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1577716 - [virtio-win][netkvm][whql] Many whql Jobs BSOD (code 8e ) on win8-32
Summary: [virtio-win][netkvm][whql] Many whql Jobs BSOD (code 8e ) on win8-32
Keywords:
Status: CLOSED DUPLICATE of bug 1515663
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Yan Vugenfirer
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 03:32 UTC by Yu Wang
Modified: 2018-05-22 11:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 11:27:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yu Wang 2018-05-14 03:32:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):
virtio-win-prewhql-151
kernel-3.10.0-862.el7.x86_64
qemu-kvm-rhev-2.12.0-1.el7.x86_64
seabios-bin-1.11.0-2.el7.noarch


How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -name 144NICWIN832CNC -enable-kvm -m 3G -smp 4 -uuid f78a8d88-7be3-4ebd-ab7f-7addce36d6d4 -nodefconfig -nodefaults -cpu host,hv_time,hv_relaxed,hv_vapic,hv_spinlocks=0x1fff -chardev socket,id=charmonitor,path=/tmp/144NICWIN832CNC,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb -drive file=144NICWIN832CNC,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_8_enterprise_x86_dvd_917587.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=144NICWIN832CNC.vfd,if=floppy,id=drive-fdc0-0-0,format=raw,cache=none -netdev tap,script=/etc/qemu-ifup1,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:7b:21:4b:94 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -vga std -M pc -netdev tap,script=/etc/qemu-ifup1,downscript=no,id=hostnet1,vhost=on -device virtio-net-pci,netdev=hostnet1,id=net1,mac=00:52:3b:1f:97:5f,bus=pci.0


2. submit jobs 
NDISTest 6.0-[1 Machine]- 1c_Mini6Send
NDISTest 6.5 - [2 Machine] - OffloadChecksum
NDISTest 6.0 - [1 Machine] - 1c_Mini6Send
NDISTest 6.0 - [1 Machine] - 1c_Registry
NDISTest 6.0 - [2 Machine] - 2c_Mini6Performance
Sone DF-Fuzz jobs

3.

Actual results:
Failed as BSOD (code 8e)

Expected results:
Pass

Additional info:

Comment 4 Yan Vugenfirer 2018-05-17 07:56:15 UTC
The crash is in rdyboost.sys - this driver is not related to virtio-win. Most probably it is a Microsoft driver that is responsible for using flash memory as a cache for storage.

Are the images that are used for testing clean or they have been used to attach USB flash drive before?

Comment 5 Yan Vugenfirer 2018-05-17 12:10:57 UTC
Try the following to disable rdyboost:


Run regedit and navigate to:
HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Class\{71A27CDD-812A-11D0-BEC7-08002BE2092F}

From "lowerfilters" key remove rdyboost

From command line with administrative privileges:
sc delete rdyboost

Reboot (shutdown /r).

Comment 6 Yu Wang 2018-05-21 05:21:29 UTC
This image are clean and not used to attach USB flash drive, only add "-device usb-tablet,id=input0 "

Following the steps in comment#5, it still BSOD, but there is no "rdyboost" error, it shows as below


*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

KERNEL_MODE_EXCEPTION_NOT_HANDLED (8e)
This is a very common bugcheck.  Usually the exception address pinpoints
the driver/function that caused the problem.  Always note this address
as well as the link date of the driver/image that contains this address.
Some common problems are exception code 0x80000003.  This means a hard
coded breakpoint or assertion was hit, but this system was booted
/NODEBUG.  This is not supposed to happen as developers should never have
hardcoded breakpoints in retail code, but ...
If this happens, make sure a debugger gets connected, and the
system is booted /DEBUG.  This will let us see why this breakpoint is
happening.
Arguments:
Arg1: c0000420, The exception code that was not handled
Arg2: 81cbe5a4, The address that the exception occurred at
Arg3: a3d883cc, Trap Frame
Arg4: 00000000

Debugging Details:
------------------


EXCEPTION_CODE: (NTSTATUS) 0xc0000420 - An assertion failure has occurred.

FAULTING_IP: 
nt!ViCtxCheckAndReleaseXSaveData+5a
81cbe5a4 cd2c            int     2Ch

TRAP_FRAME:  f1b4569e -- (.trap 0xfffffffff1b4569e)
Unable to read trap frame at f1b4569e

DEFAULT_BUCKET_ID:  WIN8_DRIVER_FAULT

BUGCHECK_STR:  AV

PROCESS_NAME:  ndinfo.exe

CURRENT_IRQL:  a

ANALYSIS_VERSION: 6.3.9600.16520 (debuggers(dbg).140127-0329) amd64fre

EXCEPTION_RECORD:  8a53e840 -- (.exr 0xffffffff8a53e840)
ExceptionAddress: 81cbe6b6 (nt!ViCtxIsr)
   ExceptionCode: 02a00016
  ExceptionFlags: 8a53e844
NumberParameters: 0

LAST_CONTROL_TRANSFER:  from 8199efe7 to 8190ecb0

STACK_TEXT:  
a3d87f24 8199efe7 0000008e c0000420 81cbe5a4 nt!KeBugCheckEx
a3d8835c 8198302a a3d88378 00000000 a3d883cc nt! ?? ::FNODOBFM::`string'+0x15107
a3d883c4 81982fc8 a3d8844c 81cbe5a6 badb0d00 nt!CommonDispatchException+0x4a
a3d883ec 8188ae68 8188ae08 00000000 00000000 nt!Kei386EoiHelper+0x13c
a3d8844c 81cbe6e1 81ccf4d8 85456706 8a53e840 nt!vDbgPrintExWithPrefixInternal+0x25
a3d88468 8198646d 8a53e840 878f4e48 f1b4569e nt!ViCtxIsr+0x2b
a3d88468 777026fa 8a53e840 878f4e48 f1b4569e nt!KiInterruptDispatch+0x6d
WARNING: Frame IP not in any known module. Following frames may be wrong.
0071fb90 00000000 00000000 00000000 00000000 0x777026fa


STACK_COMMAND:  kb

FOLLOWUP_IP: 
nt!ViCtxCheckAndReleaseXSaveData+5a
81cbe5a4 cd2c            int     2Ch

SYMBOL_STACK_INDEX:  0

SYMBOL_NAME:  nt!ViCtxCheckAndReleaseXSaveData+5a

FOLLOWUP_NAME:  MachineOwner

MODULE_NAME: nt

IMAGE_NAME:  ntkrpamp.exe

DEBUG_FLR_IMAGE_TIMESTAMP:  5010adf0

IMAGE_VERSION:  6.2.9200.16384

BUCKET_ID_FUNC_OFFSET:  5a

FAILURE_BUCKET_ID:  AV_VRF_nt!ViCtxCheckAndReleaseXSaveData

BUCKET_ID:  AV_VRF_nt!ViCtxCheckAndReleaseXSaveData

ANALYSIS_SOURCE:  KM

FAILURE_ID_HASH_STRING:  km:av_vrf_nt!victxcheckandreleasexsavedata

FAILURE_ID_HASH:  {7543b21e-e8e5-f2a7-57c7-cc5f2d11dbbd}

Followup: MachineOwner
---------

Comment 8 Yan Vugenfirer 2018-05-21 06:07:16 UTC
Now it is same as: https://bugzilla.redhat.com/show_bug.cgi?id=1515663

Comment 9 Yu Wang 2018-05-21 07:04:53 UTC
(In reply to Yan Vugenfirer from comment #8)
> Now it is same as: https://bugzilla.redhat.com/show_bug.cgi?id=1515663

Yes, it is the same error "ntkrpamp.exe" as bz1515663, but it occurred on different guests and jobs.

Comment 10 Yu Wang 2018-05-22 03:40:01 UTC
After change env. to speed=10000 and delete "ethtool -K $1 tx off" , when running case "ethtool -K $1 tx off", shows error "Pool_Corruption" , process name "MsMpEng.exe"


*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

KERNEL_MODE_EXCEPTION_NOT_HANDLED (8e)
This is a very common bugcheck.  Usually the exception address pinpoints
the driver/function that caused the problem.  Always note this address
as well as the link date of the driver/image that contains this address.
Some common problems are exception code 0x80000003.  This means a hard
coded breakpoint or assertion was hit, but this system was booted
/NODEBUG.  This is not supposed to happen as developers should never have
hardcoded breakpoints in retail code, but ...
If this happens, make sure a debugger gets connected, and the
system is booted /DEBUG.  This will let us see why this breakpoint is
happening.
Arguments:
Arg1: c0000420, The exception code that was not handled
Arg2: 8211a5a4, The address that the exception occurred at
Arg3: 83622e84, Trap Frame
Arg4: 00000000

Debugging Details:
------------------


EXCEPTION_CODE: (NTSTATUS) 0xc0000420 - An assertion failure has occurred.

FAULTING_IP: 
nt!ViCtxCheckAndReleaseXSaveData+5a
8211a5a4 cd2c            int     2Ch

TRAP_FRAME:  83622f4c -- (.trap 0xffffffff83622f4c)
ErrCode = 00000000
eax=00000000 ebx=83600102 ecx=81c4b674 edx=000000b2 esi=83600498 edi=00000001
eip=81c4b676 esp=83622fc0 ebp=83622fd0 iopl=0         nv up di pl nz na pe nc
cs=0008  ss=0010  ds=c402  es=c41e  fs=0004  gs=2ef0             efl=00000006
hal!HalpInterruptJumpToVector+0x2d6:
81c4b676 c3              ret
Resetting default scope

DEFAULT_BUCKET_ID:  WIN8_DRIVER_FAULT

BUGCHECK_STR:  AV

PROCESS_NAME:  MsMpEng.exe

CURRENT_IRQL:  a

ANALYSIS_VERSION: 6.3.9600.16520 (debuggers(dbg).140127-0329) amd64fre

DPC_STACK_BASE:  FFFFFFFF83624000

EXCEPTION_RECORD:  8bb39840 -- (.exr 0xffffffff8bb39840)
ExceptionAddress: 8211a6b6 (nt!ViCtxIsr)
   ExceptionCode: 02a00016
  ExceptionFlags: 8bb39844
NumberParameters: 0

LAST_CONTROL_TRANSFER:  from 81dfafe7 to 81d6acb0

STACK_TEXT:  
83622fbc 81c2d865 8360228c 00000000 83600102 hal!HalpInterruptJumpToVector+0x2d6
83622fd0 81c2d78d 00000001 00000202 00000001 hal!HalpInterruptLowerHardwareIrql+0xaf
83622fe8 81ca4a0e a4a72000 8362305c c0525390 hal!KfLowerIrql+0x23
83623030 81ca3157 00000000 00000001 00000000 nt!KeFlushMultipleRangeTb+0x137
83623040 81da31d4 9f5d7780 81da3111 000018b8 nt!MiFlushPteList+0x20
8362311c 81e3aa96 a4a72ee0 a4a72ee0 a4a72ee0 nt!MmFreeSpecialPool+0x295
836231a0 821067ac a4a72ee0 00000000 8946af00 nt!ExDeferredFreePool+0xbfa
836231b4 82cd293b a4a72ee0 00000000 00000000 nt!VerifierExFreePoolWithTag+0x3b
836231cc 82cce4ef a4a72ef0 8946ad00 00000009 ndis!ndisFreeNblToNPagedPool+0x50
836231ec 82da2efd a4a72ef0 8946acc0 8362320c ndis!NdisFreeCloneNetBufferList+0x196
836231fc 8608a8a8 a4a72ef0 00000001 83623238 NETIO!NetioFreeCloneNetBufferList+0x10
8362320c 82da2c23 a4a72ef0 00000001 00000001 tcpip!WfpShimCloneNblComplete+0x11
83623238 860886b7 a4a72ef0 00000001 00000011 NETIO!NetioDereferenceNetBufferList+0x81
836235dc 860894bd 00000017 0000eb14 000010c5 tcpip!WfpProcessInTransportStackIndication+0xcc8
83623658 8608a0b7 9cd60a90 00000017 0000eb14 tcpip!InetInspectReceiveDatagram+0x105
83623718 86089d8b 8b1f4558 00000020 8b1e9000 tcpip!UdpBeginMessageIndication+0x4f
836237d4 860899f9 94f79036 83623800 83623804 tcpip!UdpDeliverDatagrams+0x9d
83623884 8608961f 8b1f4558 8b1e9000 836238c0 tcpip!UdpReceiveDatagrams+0x251
83623894 86086962 836238a4 8614b2f0 8b1f4558 tcpip!UdpNlClientReceiveDatagrams+0x12
836238c0 860865d0 00000011 00000000 8614b2f0 tcpip!IppDeliverListToProtocol+0x3a
836238fc 860860c9 8614b2f0 8362395c 83623954 tcpip!IppProcessDeliverList+0x53
83623988 860852c9 8614b2f0 836239e8 00000000 tcpip!IppReceiveHeaderBatch+0x1c1
83623a84 8608e083 8e7b8240 9ec1aef0 00000001 tcpip!IpFlcReceivePackets+0x681
83623adc 8608e25e 9cc35a50 00000000 8608e28e tcpip!FlpReceiveNonPreValidatedNetBufferListChain+0x20a
83623b0c 81d23370 9ec1aef0 227045b9 00000001 tcpip!FlReceiveNetBufferListChainCalloutRoutine+0x6e
83623b84 81d22fcf 8608e1f0 83623bcc 00002400 nt!KeExpandKernelStackAndCalloutInternal+0x38b
83623ba4 8608e3c2 8608e1f0 83623bcc 00002400 nt!KeExpandKernelStackAndCalloutEx+0x1f
83623be4 82ccde6f 02c35a50 9ec1ae00 00000000 tcpip!FlReceiveNetBufferListChain+0x88
83623c2c 82ccd99f 9a0aade8 9ec1aef0 00000000 ndis!ndisMIndicateNetBufferListsToOpen+0x262
83623cac 82ccdba7 9ec1aef0 00000000 00000002 ndis!ndisInvokeNextReceiveHandler+0x399
83623cf8 8fc84ad1 87d05218 9ec1aef0 00000000 ndis!NdisMIndicateReceiveNetBufferLists+0x155
WARNING: Stack unwind information not available. Following frames may be wrong.
83623d34 8fc82727 929ee240 92a42dd0 000003e6 netkvm+0x4ad1
83623d58 8fc8e235 929ee240 ffffffff 87d05218 netkvm+0x2727
83623d84 82ccc985 929ee240 00000003 00000000 netkvm+0xe235
83623e18 81ccf4ab 929b4a0c 929b4810 00000003 ndis!ndisInterruptDpc+0x188
83623ed0 81ccf0e6 9f5d7780 83623f18 00000378 nt!KiExecuteAllDpcs+0x1f2
83623ff4 81de281c 9ea4143c 00000000 00000000 nt!KiRetireDpcList+0xed
9ea41458 81c2d8c8 00000000 9ea41494 9ea41494 nt!KiDispatchInterrupt+0x2c
9ea4146c 81c2db6d 9ea41494 773e2312 0013ba6e hal!HalpInterruptCheckForSoftwareInterrupt+0x2c
9ea41484 81c4c17e 0187e41d 0000001d 0187e5d0 hal!HalEndSystemInterrupt+0xbb
9ea41484 6f779755 0187e41d 0000001d 0187e5d0 hal!HalpX86InterruptIpiService+0x1a2
0187e5d0 00000000 00000000 00000000 00000000 0x6f779755


STACK_COMMAND:  .trap 0xffffffff83622f4c ; kb

FOLLOWUP_IP: 
nt!ExDeferredFreePool+bfa
81e3aa96 e96dd8ffff      jmp     nt!ExFreePoolWithTag+0x2f3 (81e38308)

SYMBOL_STACK_INDEX:  6

SYMBOL_NAME:  nt!ExDeferredFreePool+bfa

FOLLOWUP_NAME:  Pool_corruption

IMAGE_NAME:  Pool_Corruption

DEBUG_FLR_IMAGE_TIMESTAMP:  0

IMAGE_VERSION:  6.2.9200.16384

MODULE_NAME: Pool_Corruption

BUCKET_ID_FUNC_OFFSET:  bfa

FAILURE_BUCKET_ID:  AV_VRF_nt!ExDeferredFreePool

BUCKET_ID:  AV_VRF_nt!ExDeferredFreePool

ANALYSIS_SOURCE:  KM

FAILURE_ID_HASH_STRING:  km:av_vrf_nt!exdeferredfreepool

FAILURE_ID_HASH:  {3438e85c-1b0f-6321-976f-c588762c276d}

Followup: Pool_corruption
---------

Comment 11 Yu Wang 2018-05-22 05:38:40 UTC
(In reply to Yu Wang from comment #10)
> After change env. to speed=10000 and delete "ethtool -K $1 tx off" , when
> running case "ethtool -K $1 tx off", shows error "Pool_Corruption" , process
> name "MsMpEng.exe"

Sorry, case name is "NDISTest 6.5\NDISTest 6.5 - [2 Machine] - TxFlowControl"

> 
> 
> *****************************************************************************
> **
> *                                                                           
> *
> *                        Bugcheck Analysis                                  
> *
> *                                                                           
> *
> *****************************************************************************
> **
> 
> KERNEL_MODE_EXCEPTION_NOT_HANDLED (8e)
> This is a very common bugcheck.  Usually the exception address pinpoints
> the driver/function that caused the problem.  Always note this address
> as well as the link date of the driver/image that contains this address.
> Some common problems are exception code 0x80000003.  This means a hard
> coded breakpoint or assertion was hit, but this system was booted
> /NODEBUG.  This is not supposed to happen as developers should never have
> hardcoded breakpoints in retail code, but ...
> If this happens, make sure a debugger gets connected, and the
> system is booted /DEBUG.  This will let us see why this breakpoint is
> happening.
> Arguments:
> Arg1: c0000420, The exception code that was not handled
> Arg2: 8211a5a4, The address that the exception occurred at
> Arg3: 83622e84, Trap Frame
> Arg4: 00000000
> 
> Debugging Details:
> ------------------
> 
> 
> EXCEPTION_CODE: (NTSTATUS) 0xc0000420 - An assertion failure has occurred.
> 
> FAULTING_IP: 
> nt!ViCtxCheckAndReleaseXSaveData+5a
> 8211a5a4 cd2c            int     2Ch
> 
> TRAP_FRAME:  83622f4c -- (.trap 0xffffffff83622f4c)
> ErrCode = 00000000
> eax=00000000 ebx=83600102 ecx=81c4b674 edx=000000b2 esi=83600498 edi=00000001
> eip=81c4b676 esp=83622fc0 ebp=83622fd0 iopl=0         nv up di pl nz na pe nc
> cs=0008  ss=0010  ds=c402  es=c41e  fs=0004  gs=2ef0             efl=00000006
> hal!HalpInterruptJumpToVector+0x2d6:
> 81c4b676 c3              ret
> Resetting default scope
> 
> DEFAULT_BUCKET_ID:  WIN8_DRIVER_FAULT
> 
> BUGCHECK_STR:  AV
> 
> PROCESS_NAME:  MsMpEng.exe
> 
> CURRENT_IRQL:  a
> 
> ANALYSIS_VERSION: 6.3.9600.16520 (debuggers(dbg).140127-0329) amd64fre
> 
> DPC_STACK_BASE:  FFFFFFFF83624000
> 
> EXCEPTION_RECORD:  8bb39840 -- (.exr 0xffffffff8bb39840)
> ExceptionAddress: 8211a6b6 (nt!ViCtxIsr)
>    ExceptionCode: 02a00016
>   ExceptionFlags: 8bb39844
> NumberParameters: 0
> 
> LAST_CONTROL_TRANSFER:  from 81dfafe7 to 81d6acb0
> 
> STACK_TEXT:  
> 83622fbc 81c2d865 8360228c 00000000 83600102
> hal!HalpInterruptJumpToVector+0x2d6
> 83622fd0 81c2d78d 00000001 00000202 00000001
> hal!HalpInterruptLowerHardwareIrql+0xaf
> 83622fe8 81ca4a0e a4a72000 8362305c c0525390 hal!KfLowerIrql+0x23
> 83623030 81ca3157 00000000 00000001 00000000 nt!KeFlushMultipleRangeTb+0x137
> 83623040 81da31d4 9f5d7780 81da3111 000018b8 nt!MiFlushPteList+0x20
> 8362311c 81e3aa96 a4a72ee0 a4a72ee0 a4a72ee0 nt!MmFreeSpecialPool+0x295
> 836231a0 821067ac a4a72ee0 00000000 8946af00 nt!ExDeferredFreePool+0xbfa
> 836231b4 82cd293b a4a72ee0 00000000 00000000
> nt!VerifierExFreePoolWithTag+0x3b
> 836231cc 82cce4ef a4a72ef0 8946ad00 00000009
> ndis!ndisFreeNblToNPagedPool+0x50
> 836231ec 82da2efd a4a72ef0 8946acc0 8362320c
> ndis!NdisFreeCloneNetBufferList+0x196
> 836231fc 8608a8a8 a4a72ef0 00000001 83623238
> NETIO!NetioFreeCloneNetBufferList+0x10
> 8362320c 82da2c23 a4a72ef0 00000001 00000001
> tcpip!WfpShimCloneNblComplete+0x11
> 83623238 860886b7 a4a72ef0 00000001 00000011
> NETIO!NetioDereferenceNetBufferList+0x81
> 836235dc 860894bd 00000017 0000eb14 000010c5
> tcpip!WfpProcessInTransportStackIndication+0xcc8
> 83623658 8608a0b7 9cd60a90 00000017 0000eb14
> tcpip!InetInspectReceiveDatagram+0x105
> 83623718 86089d8b 8b1f4558 00000020 8b1e9000
> tcpip!UdpBeginMessageIndication+0x4f
> 836237d4 860899f9 94f79036 83623800 83623804 tcpip!UdpDeliverDatagrams+0x9d
> 83623884 8608961f 8b1f4558 8b1e9000 836238c0 tcpip!UdpReceiveDatagrams+0x251
> 83623894 86086962 836238a4 8614b2f0 8b1f4558
> tcpip!UdpNlClientReceiveDatagrams+0x12
> 836238c0 860865d0 00000011 00000000 8614b2f0
> tcpip!IppDeliverListToProtocol+0x3a
> 836238fc 860860c9 8614b2f0 8362395c 83623954 tcpip!IppProcessDeliverList+0x53
> 83623988 860852c9 8614b2f0 836239e8 00000000
> tcpip!IppReceiveHeaderBatch+0x1c1
> 83623a84 8608e083 8e7b8240 9ec1aef0 00000001 tcpip!IpFlcReceivePackets+0x681
> 83623adc 8608e25e 9cc35a50 00000000 8608e28e
> tcpip!FlpReceiveNonPreValidatedNetBufferListChain+0x20a
> 83623b0c 81d23370 9ec1aef0 227045b9 00000001
> tcpip!FlReceiveNetBufferListChainCalloutRoutine+0x6e
> 83623b84 81d22fcf 8608e1f0 83623bcc 00002400
> nt!KeExpandKernelStackAndCalloutInternal+0x38b
> 83623ba4 8608e3c2 8608e1f0 83623bcc 00002400
> nt!KeExpandKernelStackAndCalloutEx+0x1f
> 83623be4 82ccde6f 02c35a50 9ec1ae00 00000000
> tcpip!FlReceiveNetBufferListChain+0x88
> 83623c2c 82ccd99f 9a0aade8 9ec1aef0 00000000
> ndis!ndisMIndicateNetBufferListsToOpen+0x262
> 83623cac 82ccdba7 9ec1aef0 00000000 00000002
> ndis!ndisInvokeNextReceiveHandler+0x399
> 83623cf8 8fc84ad1 87d05218 9ec1aef0 00000000
> ndis!NdisMIndicateReceiveNetBufferLists+0x155
> WARNING: Stack unwind information not available. Following frames may be
> wrong.
> 83623d34 8fc82727 929ee240 92a42dd0 000003e6 netkvm+0x4ad1
> 83623d58 8fc8e235 929ee240 ffffffff 87d05218 netkvm+0x2727
> 83623d84 82ccc985 929ee240 00000003 00000000 netkvm+0xe235
> 83623e18 81ccf4ab 929b4a0c 929b4810 00000003 ndis!ndisInterruptDpc+0x188
> 83623ed0 81ccf0e6 9f5d7780 83623f18 00000378 nt!KiExecuteAllDpcs+0x1f2
> 83623ff4 81de281c 9ea4143c 00000000 00000000 nt!KiRetireDpcList+0xed
> 9ea41458 81c2d8c8 00000000 9ea41494 9ea41494 nt!KiDispatchInterrupt+0x2c
> 9ea4146c 81c2db6d 9ea41494 773e2312 0013ba6e
> hal!HalpInterruptCheckForSoftwareInterrupt+0x2c
> 9ea41484 81c4c17e 0187e41d 0000001d 0187e5d0 hal!HalEndSystemInterrupt+0xbb
> 9ea41484 6f779755 0187e41d 0000001d 0187e5d0
> hal!HalpX86InterruptIpiService+0x1a2
> 0187e5d0 00000000 00000000 00000000 00000000 0x6f779755
> 
> 
> STACK_COMMAND:  .trap 0xffffffff83622f4c ; kb
> 
> FOLLOWUP_IP: 
> nt!ExDeferredFreePool+bfa
> 81e3aa96 e96dd8ffff      jmp     nt!ExFreePoolWithTag+0x2f3 (81e38308)
> 
> SYMBOL_STACK_INDEX:  6
> 
> SYMBOL_NAME:  nt!ExDeferredFreePool+bfa
> 
> FOLLOWUP_NAME:  Pool_corruption
> 
> IMAGE_NAME:  Pool_Corruption
> 
> DEBUG_FLR_IMAGE_TIMESTAMP:  0
> 
> IMAGE_VERSION:  6.2.9200.16384
> 
> MODULE_NAME: Pool_Corruption
> 
> BUCKET_ID_FUNC_OFFSET:  bfa
> 
> FAILURE_BUCKET_ID:  AV_VRF_nt!ExDeferredFreePool
> 
> BUCKET_ID:  AV_VRF_nt!ExDeferredFreePool
> 
> ANALYSIS_SOURCE:  KM
> 
> FAILURE_ID_HASH_STRING:  km:av_vrf_nt!exdeferredfreepool
> 
> FAILURE_ID_HASH:  {3438e85c-1b0f-6321-976f-c588762c276d}
> 
> Followup: Pool_corruption
> ---------

Comment 12 Yu Wang 2018-05-22 05:39:09 UTC
(In reply to Yu Wang from comment #10)
> After change env. to speed=10000 and delete "ethtool -K $1 tx off" , when
> running case "ethtool -K $1 tx off", shows error "Pool_Corruption" , process
> name "MsMpEng.exe"

Sorry, case name is "NDISTest 6.5\NDISTest 6.5 - [2 Machine] - TxFlowControl"

Comment 13 Yan Vugenfirer 2018-05-22 07:41:28 UTC
(In reply to Yu Wang from comment #12)
> (In reply to Yu Wang from comment #10)
> > After change env. to speed=10000 and delete "ethtool -K $1 tx off" , when
> > running case "ethtool -K $1 tx off", shows error "Pool_Corruption" , process
> > name "MsMpEng.exe"
> 
> Sorry, case name is "NDISTest 6.5\NDISTest 6.5 - [2 Machine] - TxFlowControl"

Please upload the crash dump file. Thanks.

Comment 15 Yan Vugenfirer 2018-05-22 08:40:11 UTC
BTW: Can you try to run the tests with -xsave option for CPU command line option?

Comment 16 Yu Wang 2018-05-22 09:40:56 UTC
(In reply to Yan Vugenfirer from comment #15)
> BTW: Can you try to run the tests with -xsave option for CPU command line
> option?

Yes, it can pass without "xsave" !

Comment 17 Yan Vugenfirer 2018-05-22 09:58:27 UTC
Great! Let's test https://bugzilla.redhat.com/show_bug.cgi?id=1515663 without xsave as well.

Comment 18 Yan Vugenfirer 2018-05-22 11:27:40 UTC

*** This bug has been marked as a duplicate of bug 1515663 ***


Note You need to log in before you can comment on or make changes to this bug.